package Bio::IO::CBust::Cluster;

sub new {
  my $class = shift;
  my $self = { @_ };
  bless $self, $class;
  return $self;
}
sub name {
  my $self = shift;
  if(@_) {
    $self->{name} = shift;
  }
  return $self->{name};


}
sub location {
  my $self = shift;
  if(@_) {
    $self->{location} = shift;
  }
  return $self->{location};
}

sub score {
  my $self = shift;
  if(@_) {
    $self->{score} = shift;
  }
  return $self->{score};
}
sub sequence {
  my $self = shift;
  if(@_) {
    $self->{sequence} = shift;
  }
  return $self->{sequence};
}
sub matrix {
  return $_[0]->{matrix};
}
sub add_matrix {
  my $self = shift;
  push @{$self->{matrix}}, @_;
}

1;
