package Bio::IO::CBust::Matrix;

sub new {
  my $class = shift;
  my $self = { @_ };
  bless $self, $class;
  return $self;
}

sub start {
  my $self = shift;
  if(@_) {
    $self->{slocation} = shift;
  }
  return $self->{slocation};

}
sub stop {
  my $self = shift;
  if(@_) {
    $self->{elocation} = shift;
  }
  return $self->{elocation};

}

sub strand {
  my $self = shift;
  if(@_) {
    $self->{strand} = shift;
  }
  return $self->{strand};

}

sub score {
  my $self = shift;
  if(@_) {
    $self->{score} = shift;
  }
  return $self->{score};

}

sub sequence {
  my $self = shift;
  if(@_) {
    $self->{sequence} = shift;
  }
  return $self->{sequence};

}

sub name {
  my $self = shift;
  if(@_) {
    $self->{name} = shift;
  }
  return $self->{name};

}

sub site {
  my $self = shift;
  if($self->{name} =~ /V\$([^_]+)/) {
    return $1;
  } else {
    return $self->{name};
  }
}
1;
